<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';
only_reg();
$set['title']='Мои закладки';
include_once '../sys/inc/thead.php';
title();
if (isset($_POST['add']) && $_POST['name']!=NULL && $_POST['url']!=NULL && $_POST['width']!=NULL && $_POST['heigh']!=NULL && $_POST['br'])
{
$br=esc(stripcslashes(htmlspecialchars($_POST['br'])));
$name=esc(stripcslashes(htmlspecialchars($_POST['name'])));
$url=esc(stripcslashes(htmlspecialchars($_POST['url'])));
$width=esc(stripcslashes(htmlspecialchars($_POST['width'])));
$heigh=esc(stripcslashes(htmlspecialchars($_POST['heigh'])));
mysql_query("INSERT INTO `zakladki` (`name`,`id_user`, `url`, `width`, `heigh`, `br`) VALUES ('$name','$user[id]', '$url', '$width', '$heigh', '$br')");
msg('Закладка успешно создана.');
}
err();
aut();
if (isset($_GET['add'])){
echo "<form action='?add=$passgen' method=\"post\">";
echo "Название:<br />";
echo "<input type=\"text\" name=\"name\" value=\"\"/><br />";
echo "Ссылка:<br />";
echo "<input type=\"text\" name=\"url\" value=\"\"/><br />";
echo "Ширина закладки:<br />";
echo "<input type=\"text\" name=\"width\" value=\"50\"/><br />";
echo "Высота закладки:<br />";
echo "<input type=\"text\" name=\"heigh\" value=\"50\"/><br />";
echo "Переход на новую строку:<br />";
echo "<select name='br'>";
echo "<option value='no'>Нет</option>";
echo "<option value='yes'>Да</option>";
echo "</select><br>";
echo "<input class='submit' name='add' type='submit' value='Создать' /><br />";
echo "</form>";
}
echo "<img src='/zakladki/icons/back.png'> <a href='/zakladki/index.php'>Назад</a>";
include_once '../sys/inc/tfoot.php';
?>